Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jrummikub.view
Interface ITablePanel

All Superinterfaces:
  IClickable, IStonePanel

All Known Implementing Classes:
  TablePanel

    public interface ITablePanel

extends IStonePanel, IClickable

The view of the table, where the stone sets lie

Method Summary
`Event1<StoneSet>` | `getLeftConnectorClickEvent()` the left connector click event is emitted when the player clicks on a left connector of a stone set on the table .
`Event1<StoneSet>` | `getRightConnectorClickEvent()` the right connector click event is emitted when the player clicks on a right connector of a stone set on the table .
`IStoneCollectionPanel` | `getStoneCollectionPanel()` Returns the stone collection (the panel showing the stones currently selected)
`void` | `setLeftPlayerName(java.lang.String playerName)` Sets the player name on the left label
`void` | `setRightPlayerName(java.lang.String playerName)` Sets the player name on the right label
`void` | `setStoneSets(java.lang.Iterable<Pair<StoneSet,Position>> stoneSets)` Sets the stone sets lying on the table
`void` | `setTopPlayerName(java.lang.String playerName)` Sets the player name on the top label

Methods inherited from interface jrummikub.view.IStonePanel
`getRangeClickEvent, getSetClickEvent, getStoneClickEvent`

Methods inherited from interface jrummikub.view.IClickable
`getClickEvent`

Method Detail

### setLeftPlayerName

    void setLeftPlayerName(java.lang.String playerName)

  Sets the player name on the left label

  Parameters:
    `playerName` - the name to set

### setTopPlayerName

    void setTopPlayerName(java.lang.String playerName)

  Sets the player name on the top label

  Parameters:
    `playerName` - the name to set

### setRightPlayerName

    void setRightPlayerName(java.lang.String playerName)

  Sets the player name on the right label

  Parameters:
    `playerName` - the name to set

### setStoneSets

    void setStoneSets(java.lang.Iterable<Pair<StoneSet,Position>> stoneSets)

  Sets the stone sets lying on the table

  Parameters:
    `stoneSets` - set stone sets on the table

### getStoneCollectionPanel

    IStoneCollectionPanel getStoneCollectionPanel()

  Returns the stone collection (the panel showing the stones currently selected)

  Returns:
    the stone collection

### getLeftConnectorClickEvent

    Event1<StoneSet> getLeftConnectorClickEvent()

  the left connector click event is emitted when the player clicks on a left connector of a stone set on the table .

  Returns:
    the event

### getRightConnectorClickEvent

    Event1<StoneSet> getRightConnectorClickEvent()

  the right connector click event is emitted when the player clicks on a right connector of a stone set on the table .

  Returns:
    the event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD